Package org.apache.sling.distribution.journal.bookkeeper

# Class LocalStoreJMX

java.lang.Object
org.apache.sling.distribution.journal.bookkeeper.LocalStoreJMX

All Implemented Interfaces:
  `LocalStoreJMXMBean`

public class LocalStoreJMX extends Object implements LocalStoreJMXMBean

## Constructor Summary

Constructors
Constructor
Description
`LocalStoreJMX()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate()`
`void`
`close()`
`void`
`resetStores()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalStoreJMX

public LocalStoreJMX()

## Method Details

### activate

public void activate() throws NotCompliantMBeanException

Throws:
  `NotCompliantMBeanException`

### close

public void close() throws IOException

Throws:
  `IOException`

### resetStores

public void resetStores()

Specified by:
  `resetStores` in interface `LocalStoreJMXMBean`